import React from "react";
import { useGetCategoriesQuery } from "../../app/features/products/apiSlice";
import Container from "../../components/Container";
import SectionTitle from "../../components/common/SectionTitle";
import CategoryCard from "../../components/Category/CategoryCard";
import useLanguage from "../../hooks/useLanguage";

function Index() {
  const { data } = useGetCategoriesQuery();
  const language = useLanguage();
  return (
    <section className="bg-primary-200 bg-opacity-5  lg:pt-20 pt-14">
      <Container>
        <div className="flex flex-col gap-5 md:flex-row lg:items-center justify-between lg:mb-8">
          <div className="">
            <SectionTitle>{language["My Market Category"]}</SectionTitle>
          </div>
          <div></div>
        </div>
        <div className="grid grid-cols-2 lg:grid-cols-4 xl:grid-cols-6 gap-4 lg:gap-8">
          {data?.categories.map((item, i) => (
            <CategoryCard
              key={i + 1}
              link={item.slug}
              imgSrc={process.env.BASE_URL + item.image}
              alt={item.slug}
              title={item.name}
              index={i}
            />
          ))}
        </div>
      </Container>
    </section>
  );
}

export default Index;
